
Foreman - Bug #32826

Non-admin user can not revoke user access token, attempt ends with 404 

06/17/2021 01:46 PM - Štefan Németh

Status: Closed   

Priority: High   

Assignee: Ondřej Ezr   

Category: Users, Roles and Permissions   

Target version: 2.5.1   

Difficulty:  Fixed in Releases: 2.5.1, 3.0.0

Triaged: No Found in Releases: Nightly

Bugzilla link: 1974685 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8602,

https://github.com/theforeman/foreman/p

ull/8616

  

Description

1. create role with Personal access token filter

and unrestricted permissions

view_personal_access_tokens, create_personal_access_tokens, revoke_personal_access_tokens

2. assign a role to non-admin user

3. username -> my account -> personal access tokens tab

4. create a token

5. try to revoke it

Associated revisions

Revision 4d4804b5 - 06/18/2021 10:47 AM - Ondřej Ezr

Fixes #32826 - nonadmin users able to revoke tokens (#8602)

Nonadmin users were not able to revoke tokens as we were using wrong

permission for that. This uses the corect (`revoke`) permission instead

of `destroy` for revoking the user tokens.

History

#1 - 06/17/2021 02:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8602 added

#2 - 06/17/2021 02:22 PM - Ondřej Ezr

This doesn't work through API neighter.

#3 - 06/18/2021 10:47 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 06/18/2021 10:47 AM - The Foreman Bot

- Fixed in Releases deleted (3.0.0)

#5 - 06/18/2021 11:08 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|4d4804b57da67646f7cf7d43ef4cd6bd3a59a222.

05/18/2024 1/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4d4804b57da67646f7cf7d43ef4cd6bd3a59a222


#6 - 06/22/2021 09:20 AM - Tomer Brisker

- Fixed in Releases 3.0.0 added

#7 - 06/22/2021 09:21 AM - Tomer Brisker

- Subject changed from Non-admin user can not revoke user access toke, attempt ends with 404  to Non-admin user can not revoke user access

token, attempt ends with 404 

- Category set to Users, Roles and Permissions

#8 - 06/22/2021 10:15 AM - Ondřej Ezr

- Bugzilla link set to 1974685

#9 - 06/23/2021 09:53 AM - Tomer Brisker

- Target version set to 2.5.1

#10 - 06/23/2021 09:53 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8616 added

#11 - 06/23/2021 12:24 PM - Tomer Brisker

- Fixed in Releases 2.5.1 added
